Subject: Re: linux-next: build failure after merge of the tip tree

From: Borislav Petkov <[email-masked]>
Date: Mon, 25 Oct 2021 09:42:12 +0200

Hi Stephen,

On Mon, Oct 25, 2021 at 03:11:44PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the tip tree, today's linux-next build (x86_64 allmodconfig)
> failed like this:
> 
> arch/x86/kernel/fpu/core.c: In function 'fpu_alloc_guest_fpstate':
> arch/x86/kernel/fpu/core.c:187:12: error: implicit declaration of function 'vzalloc'; did you mean 'kzalloc'? [-Werror=implicit-function-declaration]
>   187 |  fpstate = vzalloc(size);
>       |            ^~~~~~~
>       |            kzalloc
> arch/x86/kernel/fpu/core.c:187:10: error: assignment to 'struct fpstate *' from 'int' makes pointer from integer without a cast [-Werror=int-conversion]
>   187 |  fpstate = vzalloc(size);
>       |          ^
> arch/x86/kernel/fpu/core.c: In function 'fpu_free_guest_fpstate':
> arch/x86/kernel/fpu/core.c:212:2: error: implicit declaration of function 'vfree'; did you mean 'kfree'? [-Werror=implicit-function-declaration]
>   212 |  vfree(fps);
>       |  ^~~~~
>       |  kfree
> cc1: all warnings being treated as errors
> 
> Caused by commit
> 
>   69f6ed1d14c6 ("x86/fpu: Provide infrastructure for KVM FPU cleanup")
> 
> I have applied the following patch for today (because it was quicker
> than using the tip tree from next-20211022).

I cannot reproduce here. It could be uncovered by some stuff you merge
before tip/auto-latest or so.

> From: Stephen Rothwell <[email-masked]>
> Date: Mon, 25 Oct 2021 15:04:13 +1100
> Subject: [PATCH] x86/fpu: include vmalloc.h for vzalloc etc
> 
> Fixes: 69f6ed1d14c6 ("x86/fpu: Provide infrastructure for KVM FPU cleanup")
> Signed-off-by: Stephen Rothwell <[email-masked]>
> ---
>  arch/x86/kernel/fpu/core.c | 1 +
>  1 file changed, 1 insertion(+)
> 
> diff --git a/arch/x86/kernel/fpu/core.c b/arch/x86/kernel/fpu/core.c
> index 9c475e2efd4d..c55013fc82ab 100644
> --- a/arch/x86/kernel/fpu/core.c
> +++ b/arch/x86/kernel/fpu/core.c
> @@ -16,6 +16,7 @@
>  
>  #include <linux/hardirq.h>
>  #include <linux/pkeys.h>
> +#include <linux/vmalloc.h>
>  
>  #include "context.h"
>  #include "internal.h"
> -- 

I'm thinking I could simply fold in your change into 69f6ed1d14c6 ...

Thx.

-- 
Regards/Gruss,
    Boris.

SUSE Software Solutions Germany GmbH, GF: Felix Imendörffer, HRB 36809, AG Nürnberg